- resolves: #247041: Initscript Review

This commit is contained in:
Martin Bacovsky 2007-08-03 12:24:19 +00:00
parent c708ddb5ed
commit 818bcace8a
2 changed files with 103 additions and 5 deletions

View File

@ -0,0 +1,93 @@
--- radvd-1.0/redhat/radvd.init.initscript 2007-08-03 11:50:05.000000000 +0200
+++ radvd-1.0/redhat/radvd.init 2007-08-03 13:37:33.000000000 +0200
@@ -2,7 +2,10 @@
#
# $Id: radvd.init,v 1.2 2002/01/08 09:00:50 psavola Exp $
#
+### BEGIN INIT INFO
+# provides: radvd
# chkconfig: - 54 46
+# short-Description: router advertisement daemon for IPv6
# description: radvd is the router advertisement daemon for IPv6. It \
# listens to router solicitations and sends router \
# advertisements as described in "Neighbor Discovery for IP \
@@ -15,6 +18,7 @@
# pidfile: /var/run/radvd.pid
# config: /etc/radvd.conf
# config: /etc/sysconfig/radvd
+### END INIT INFO
# Source function library.
. /etc/rc.d/init.d/functions
@@ -22,31 +26,37 @@
# Get config.
. /etc/sysconfig/network
-# Check that networking is up.
-[ x${NETWORKING_IPV6} = "xyes" ] || exit 0
-
[ -f /etc/sysconfig/radvd ] && . /etc/sysconfig/radvd
-[ -f /usr/sbin/radvd ] || exit 0
+if [ $1 == 'status' ]; then
+ [ -f /usr/sbin/radvd ] && exit 4
+else
+ [ -f /usr/sbin/radvd ] && exit 1
+fi
RETVAL=0
-prog="radvd"
+PROG="radvd"
+LOCKFILE=/var/lock/subsys/radvd
# See how we were called.
case "$1" in
start)
- echo -n $"Starting $prog: "
+
+ # Check that networking is up.
+ [ x${NETWORKING_IPV6} = "xyes" ] || exit 1
+
+ echo -n $"Starting $PROG: "
daemon radvd $OPTIONS
RETVAL=$?
echo
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/radvd
+ [ $RETVAL -eq 0 ] && touch $LOCKFILE
;;
stop)
- echo -n $"Stopping $prog: "
+ echo -n $"Stopping $PROG: "
killproc radvd
RETVAL=$?
echo
- [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/radvd
+ [ $RETVAL -eq 0 ] && rm -f $LOCKFILE
;;
status)
status radvd
@@ -58,13 +68,13 @@
RETVAL=$?
;;
reload)
- echo -n $"Reloading $prog: "
+ echo -n $"Reloading $PROG: "
killproc radvd -HUP
RETVAL=$?
echo
;;
condrestart)
- if [ -f /var/lock/subsys/radvd ]; then
+ if [ -f $LOCKFILE ]; then
$0 stop
$0 start
RETVAL=$?
@@ -72,7 +82,7 @@
;;
*)
echo $"Usage: $0 {start|stop|status|restart|reload|condrestart}"
- exit 1
+ exit 2
esac
exit $RETVAL

View File

@ -5,12 +5,13 @@
Summary: A Router Advertisement daemon
Name: radvd
Version: 1.0
Release: 3%{?dist}
Release: 4%{?dist}
# The code includes the advertising clause, so it's GPL-incompatible
License: BSD-style
Group: System Environment/Daemons
Source: http://www.litech.org/radvd/dist/%{name}-%{version}.tar.gz
URL: http://www.litech.org/radvd/
Source: http://www.litech.org/radvd/dist/%{name}-%{version}.tar.gz
Patch1: radvd-1.0-initscript.patch
Requires(postun): chkconfig, /usr/sbin/userdel, initscripts
Requires(preun): chkconfig, initscripts
Requires(post): chkconfig
@ -31,6 +32,7 @@ services.
%prep
%setup -q
%patch1 -p1 -b .initscript
%build
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -fPIE"
@ -92,13 +94,16 @@ fi
%{_sbindir}/radvdump
%changelog
* Wed Feb 14 2007 Martin Bacovsky <mbacovsk@redhat.com> - 1.0-3.fc7
* Fri Aug 3 2007 Martin Bacovsky <mbacovsk@redhat.com> - 1.0-4
- resolves: #247041: Initscript Review
* Wed Feb 14 2007 Martin Bacovsky <mbacovsk@redhat.com> - 1.0-3
- specfile cleanup for review
* Thu Feb 1 2007 Martin Bacovsky <mbacovsk@redhat.com> - 1.0-2.fc7
* Thu Feb 1 2007 Martin Bacovsky <mbacovsk@redhat.com> - 1.0-2
- linking with -pie flag turned on again
* Wed Jan 31 2007 Martin Bacovsky <mbacovsk@redhat.com> - 1.0-1.fc7
* Wed Jan 31 2007 Martin Bacovsky <mbacovsk@redhat.com> - 1.0-1
- rebase to upstream 1.0
- Resolves: #225542: radvd 1.0 released